# GetActivationLogLicenseInfo

### Description

Retrieves information about an activated Activation Key for multiple activations keys.

```csharp
 ILicenseInfo GetActivationLogLicenseInfo (string webServiceUrl, 
                                           string activationKey, 
                                           string computerID,
                                           out string dataSet, out string response)
```

To parse the data returned in dataSet, check this [article](https://support.soraco.co/hc/en-us/articles/200704985-How-to-parse-data-returned-by-GetDataSet-or-GetDataSetEx-).

### Parameters

| Parameter     |    Type    | Description                                                                            |
| ------------- | :--------: | -------------------------------------------------------------------------------------- |
| webServiceUrl |   string   | URL to the QLM License Server                                                          |
| activationKey |   string   | the activation key to query                                                            |
| computerID    |   string   | the unique computer identifier                                                         |
| dataSet       | ref string | returned dataset containing license key records that match the activation key          |
| response      |   string   | XML fragment containing the result of the call. The Xml fragment schema is as follows: |

### Return

| Type                                                         | Description                                                                   |
| ------------------------------------------------------------ | ----------------------------------------------------------------------------- |
| [ILicenseInfo](/docs/api-reference/.net-api/ilicenseinfo.md) | detailed information about the activated license for the specified computerID |

### C# Example

```csharp
ILicenseInfo li = license.GetActivationLogLicenseInfo (webServiceUrl, 
                                                       "A2GM0-50K00-PYU3F-784HH-1U1V5T", 
                                                       "PC-001", 
                                                       out dataSet,
                                                       out response);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/application-methods/getactivationloglicenseinfo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
